Subject: Re: bug#11519: "Wrong type argument: characterp" building custom-deps while boostrapping

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 May 2012 11:27:16 -0400

>> This brings up back to the issue of calling maybe_unify_char in
>> STRING_CHAR_AND_LENGTH.  One more strike against it.  Handa, could you
>> prepare a patch that removes this?
> Ok, I'll work on it.

Thanks.

> But, it's not for 24.1, right?

Right, it's for 24.2, so it's not super urgent.

>> > If you agree with the diagnosis, then how about the change below?
>> Might be an acceptable workaround for the emacs-24 branch, yes (tho I'd
>> replace "inhibit ? 0 : 1" with "!inhibit").
> I think it is not just a workaround.  If we can suppress buffer/string
> relocation temporarily, we can utilize that functionality in several
> other places.

We could suppress relocation all the time.  After all, we don't use
relalloc on GNU systems and under Mac OS X.

        Stefan